Skip to main content
PUT
Update phone agent knowledge sources

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

phone_agent_id
string
required

Body

application/json
instructionIds
string[]
required

IDs of individual instructions to select (outside of selected directories)

directoryIds
string[]
required

IDs of directories to select (all instructions in these directories are included)

instructionMode
enum<string>

Deprecated; omit. "all" (with empty instructionIds and directoryIds) selects every instruction folder and every instruction outside a folder available now. New folders and new instructions outside a folder are not selected.

Available options:
all,
selected
knowledgeMode
enum<string>

Deprecated; omit. "all" (with empty knowledge selections) selects every knowledge folder available now. New folders are not selected.

Available options:
all,
selected
knowledgeItemIds
string[]

IDs of individual knowledge items to search. Omit to leave knowledge selections unchanged.

knowledgeFolderKeys
string[]

Canonical knowledge folder keys to search. Omit to leave knowledge selections unchanged.

Required string length: 1 - 500

Response

Default Response

success
boolean
required
totalTokens
number
required

Estimated tokens of the selected instructions and knowledge documents

instructionMode
enum<string>
required

Deprecated: always selected.

Available options:
all,
selected
knowledgeMode
enum<string>
required

Deprecated: always selected.

Available options:
all,
selected
knowledgePlan
object | null
required

How the agent gets the selected sources during calls; null for agents on another runtime

selectedInstructionIds
string[]
required
selectedDirectoryIds
string[]
required
selectedKnowledgeItemIds
string[]
required
selectedKnowledgeFolderKeys
string[]
required